CURL context option listing

SSL context options
Phar context options
Context options and parameters
PHP Manual

# CURL context options

CURL context options — CURL context option listing

### Description

CURL context options are available when the CURL extension was compiled using the --with-curlwrappers configure option.

### Options

`method` string

  `GET`, `POST`, or any other HTTP method supported by the remote server.

  Defaults to `GET`.

`header` string

  Additional headers to be sent during request. Values in this option will override other values (such as User-agent:, Host:, and Authentication:).

`user_agent` string

  Value to send with User-Agent: header.

  By default the user_agent php.ini setting is used.

`content` string

  Additional data to be sent after the headers. This option is not used for `GET` or `HEAD` requests.

`proxy` string

  URI specifying address of proxy server. (e.g. tcp://proxy.example.com:5100).

`max_redirects` integer

  The max number of redirects to follow. Value 1 or less means that no redirects are followed.

  Defaults to 20.

`curl_verify_ssl_host` boolean

  Verify the host.

  Defaults to `FALSE`

  > Note:

  > This option is available for both the http and ftp protocol wrappers.

`curl_verify_ssl_peer` boolean

  Require verification of SSL certificate used.

  Defaults to `FALSE`

  > Note:

  > This option is available for both the http and ftp protocol wrappers.

### Examples

Example #1 Fetch a page and send POST data

`<?php
$postdata = http_build_query(
array(
'var1' => 'some content',
'var2' => 'doh'
)
);
$opts = array('http' =>
array(
'method' => 'POST',
'header' => 'Content-type: application/x-www-form-urlencoded',
'content' => $postdata
)
);
$context = stream_context_create($opts);
$result = file_get_contents('http://example.com/submit.php', false, $context);
?>`

### See Also

- Socket context options

SSL context options
Phar context options
Context options and parameters
PHP Manual